Bug 1460774 - Title displayed in add button page is wrong
Title displayed in add button page is wrong
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Jozef Zigmund
Nandini Chandra
: TestOnly, ZStream
Depends On:
Blocks: 1482131
  Show dependency treegraph
 
Reported: 2017-06-12 13:01 EDT by Shveta
Modified: 2018-03-06 10:46 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1482131 (view as bug list)
Environment:
Last Closed: 2018-03-06 10:46:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
5.8 button add title (135.69 KB, image/png)
2017-06-12 13:01 EDT, Shveta
no flags Details
5.7 add button page (116.75 KB, image/png)
2017-06-12 13:02 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2017-06-12 13:01:56 EDT
Created attachment 1287076 [details]
5.8 button add title

Description of problem: Page title shown in add button page is wrong .


Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22

How reproducible:


Steps to Reproduce:
1. Automate - customization - Buttons - Add a new button group.
2. Add a button under that button group.
3. Title displayed shows "Button Group ''"
Screenshot1.

Screesnhot 2 shows same page in 5.7 . Title shows "Adding a new button "

Actual results:


Expected results:


Additional info:
5.8.0.17.20170525183055_6317a22
Comment 2 Shveta 2017-06-12 13:02 EDT
Created attachment 1287078 [details]
5.7 add button page
Comment 4 CFME Bot 2017-08-10 02:33:39 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8a75570a268721ba170947e58093267eb977995d

commit 8a75570a268721ba170947e58093267eb977995d
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Thu Jun 22 18:21:12 2017 +0200
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Fri Jul 28 15:56:17 2017 +0200

    Fix the title assignements for Add/Edit Button/Button Groups
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460774

 app/controllers/application_controller/buttons.rb | 17 +++++++++++------
 app/controllers/catalog_controller.rb             | 16 ++--------------
 2 files changed, 13 insertions(+), 20 deletions(-)
Comment 7 Nandini Chandra 2017-10-27 12:55:17 EDT
Verified in 5.9.0.2

Note You need to log in before you can comment on or make changes to this bug.